package com.ruoyi.file.service.impl;

import com.ruoyi.file.domain.FilesAchievement;
import com.ruoyi.file.mapper.FilesAchievementMapper;
import com.ruoyi.file.service.IFilesAchievementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 成果表Service业务层处理
 * 
 * @author cmc
 * @date 2022-09-06
 */
@Service
public class FilesAchievementServiceImpl implements IFilesAchievementService 
{
    @Autowired
    private FilesAchievementMapper filesAchievementMapper;

    /**
     * 查询成果表
     * 
     * @param id 成果表主键
     * @return 成果表
     */
    @Override
    public FilesAchievement selectFilesAchievementById(String id)
    {
        return filesAchievementMapper.selectFilesAchievementById(id);
    }

    /**
     * 查询成果表列表
     * 
     * @param filesAchievement 成果表
     * @return 成果表
     */
    @Override
    public List<FilesAchievement> selectFilesAchievementList(FilesAchievement filesAchievement)
    {
        return filesAchievementMapper.selectFilesAchievementList(filesAchievement);
    }

    /**
     * 查询项目成果列表
     *
     * @param filesAchievement 成果表
     * @return 成果表
     */
    @Override
    public List<FilesAchievement> selectProjectAchievementList(FilesAchievement filesAchievement)
    {
        return filesAchievementMapper.selectProjectAchievementList(filesAchievement);
    }

    /**
     * 新增成果表
     * 
     * @param filesAchievement 成果表
     * @return 结果
     */
    @Override
    public int insertFilesAchievement(FilesAchievement filesAchievement)
    {
        return filesAchievementMapper.insertFilesAchievement(filesAchievement);
    }

    /**
     * 修改成果表
     * 
     * @param filesAchievement 成果表
     * @return 结果
     */
    @Override
    public int updateFilesAchievement(FilesAchievement filesAchievement)
    {
        return filesAchievementMapper.updateFilesAchievement(filesAchievement);
    }

    /**
     * 批量删除成果表
     * 
     * @param ids 需要删除的成果表主键
     * @return 结果
     */
    @Override
    public int deleteFilesAchievementByIds(String[] ids)
    {
        return filesAchievementMapper.deleteFilesAchievementByIds(ids);
    }

    /**
     * 删除成果表信息
     * 
     * @param id 成果表主键
     * @return 结果
     */
    @Override
    public int deleteFilesAchievementById(String id)
    {
        return filesAchievementMapper.deleteFilesAchievementById(id);
    }
}
